Summary: sme server crontab maanger
%define name smeserver-crontab_manager
Name: %{name}
%define version 2.4
%define release 10
Version: %{version}
Release: %{release}%{dist}
License:   GPL
Group: Service
Source: %{name}-%{version}.tar.xz

#Patch1: %{name}-%{version}.patch.yyyymmddnn
Packager: Ap.Muthu <apmuthu@usa.net>
BuildRoot: /var/tmp/e-smith-buildroot
BuildRequires: smeserver-devtools
BuildArchitectures: noarch
Requires: smeserver >= 4.1
AutoReqProv: no

%changelog
* Sun Sep 08 2024 fix-e-smith-pkg.sh by Trevor Batley <trevor@batley.id.au> 2.4-10.sme
- Fix e-smith references in smeserver-crontab_manager [SME: 12732]

* Sat Sep 07 2024 cvs2git.sh aka Brian Read <brianr@koozali.org> 2.4-9.sme
- Roll up patches and move to git repo [SME: 12338]

* Sat Sep 07 2024 BogusDateBot
- Eliminated rpmbuild "bogus date" warnings due to inconsistent weekday,
  by assuming the date is correct and changing the weekday.
  Wed Sep 09 2024 --> Wed Sep 04 2024 or Mon Sep 09 2024 or Wed Sep 11 2024 or ....

* Wed Sep 09 2024 Terry Fage <terry@fage.id.au> 2.4.8.sme
-  apply locale 2024-09-04.patch

* Sat Aug 21 2021 Terry Fage <terry.fage@gmail.com> 2.4.7.sme
-  apply locale 2021-08-21 patch

* Fri Apr 09 2021 Jean-Philippe Pialasse <tests@pialasse.com> 2.4-6.sme
- fix display of double quote in edition  [SME: 11028]
  prevent use of coma in command line

* Wed Mar 24 2021 Brian Read <brianr@bjsystems.co.uk> 2.4-5.sme
- Add Update event to createlinks [SME: 11027]

* Sun Oct 11 2020 Brian Read <brianr@bjsystems.co.uk> 2.4-4.sme
- Initial import to SME10 tree [SME: 11027]
- Change link to panel to reference wrapper

* Wed Mar 09 2016 JP Pialasse <tests@pialasse.com> 2.4-3.sme
- apply locale 2016-03-09 patch

* Wed Jul 01 2015 Stephane de Labrusse <stephdl@de-labrusse.fr> - 2.4-2
- Added smeserver-crontab_manager-2.4-locale-2015-07-01.patch [SME: 8965] 

* Sun Jun 08 2014 Stephane de Labrusse <stephdl@de-labrusse.fr> - 2.4-1
- Initial release to contribs9
- applied locale smeserver-crontab_manager-2.2-locale-2014-06-08.patch
- applied a patch against unitialized value smeserver-crontab_manager-2.4-unitialised_values.patch

* Sun Jul 14 2013 JP Pialasse <tests@pialasse.com> 2.2-2.sme
- apply locale 2013-07-14 patch

* Thu Jun 27 2013 Jean-Philippe Pialasse <tests@pialasse.com>  2.2-1.sme
- imported to buildsys
- cleaning spec
- move conf away from spec - patch0 

* Wed Mar 06 2013 Ap.Muthu <apmuthu@usa.net>
- Updated cronmanager.pm for standard SME 8 class display

* Tue Mar 05 2013 Ap.Muthu <apmuthu@usa.net>
- Add Update event to createlinks Copyright to License in rpm spec file

* Wed May 26 2010 Jean-Philippe Pialasse <tests@pialasse.com>
- Add Update event to createlinks expand-template /etc/crontab needed for sme7

* Mon Jan 07 2008 Michel van hees <michel@vanhees.cc>
- Thanks t Sylvain Gomez to fix problem with french traduction

* Fri Aug 03 2007 Michel Van hees <michel@vanhees.cc>
- Fix bug with error 403 in panels

* Mon Jul 16 2007 Michel Van hees <michel@vanhees.cc>
- Thanks to Sulvain Gomez that fixes the uninstall procedure.

* Sat Jan 01 2005 Michel Van hees <michel@vanhees.cc>
- Added support of french

* Mon Oct 11 2004 Michel Van hees <michel@vanhees.cc>
- Initial release

%description
sme server administration panel to control crontab

%prep
%setup

%build
perl createlinks

%install
rm -rf $RPM_BUILD_ROOT
(cd root   ; find . -depth -print | cpio -dump $RPM_BUILD_ROOT)
rm -f %{name}-%{version}-filelist
/sbin/e-smith/genfilelist $RPM_BUILD_ROOT > %{name}-%{version}-filelist
echo "%doc COPYING"          >> %{name}-%{version}-filelist

%clean 
rm -rf $RPM_BUILD_ROOT


%pre

%preun

%post

%postun

%files -f %{name}-%{version}-filelist
%defattr(-,root,root)
